﻿@using System.Drawing
@using System.Web.UI.WebControls
@using EnergyMission.Web.Views
<!DOCTYPE html>
<html>
<head>
    <title>EnergyOpp</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    @*<script src="~/Scripts/jquery.validate.js"></script>*@
    <link href="/content/font-awesome.min.css" type="text/css" rel="stylesheet" />
    <link href="/content/fonts.css" type="text/css" rel="stylesheet" />
    <link href="/content/reset.css" type="text/css" rel="stylesheet" />
    <link href="/content/super-admin.css" type="text/css" rel="stylesheet" />
    <link href="/content/responsive.css" type="text/css" rel="stylesheet" />
    <link href="~/content/Custom.css" type="text/css" rel="stylesheet" />
    <link rel="icon" type="image/ico" href="/Content/themes/base/images/favicon.ico">
    @RenderSection("styles", required: false)


    <script src="~/Scripts/jquery-2.2.2.min.js"></script>
    <script src="~/Scripts/jquery-ui-1.11.4.min.js"></script>
    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate-vsdoc.js"></script>
    <script src="~/Scripts/jquery.unobtrusive-ajax.min.js"></script>
    <script src="~/Scripts/jquery.validate.unobtrusive.min.js"></script>

    @*<script src="~/Scripts/jquery-2.2.2.js"></script>*@
  
  
   @*<script src="~/Scripts/bootstrap.min.js"></script>*@
    @*<script src="~/Scripts/modernizr-2.8.3.js"></script>
    @*<script src="~/Scripts/jquery.validate.js"></script>*@
    @*<script src="~/Scripts/jquery.validate.unobtrusive.js"></script>

    <script src="~/Scripts/jquery.validate.min.js"></script>
    <script src="~/Scripts/jquery.validate-vsdoc.js"></script>*@
    @*<script src="~/Scripts/jquery.validate.js"></script>*@
    @Html.DevExpress().GetStyleSheets(
    new StyleSheet { ExtensionSuite = ExtensionSuite.NavigationAndLayout },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Editors },
    new StyleSheet { ExtensionSuite = ExtensionSuite.HtmlEditor },
    new StyleSheet { ExtensionSuite = ExtensionSuite.GridView },
    new StyleSheet { ExtensionSuite = ExtensionSuite.PivotGrid },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Chart },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Report },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Scheduler },
    new StyleSheet { ExtensionSuite = ExtensionSuite.TreeList },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Spreadsheet }
)
        @Html.DevExpress().GetScripts(
    new Script { ExtensionSuite = ExtensionSuite.NavigationAndLayout },
    new Script { ExtensionSuite = ExtensionSuite.HtmlEditor },
    new Script { ExtensionSuite = ExtensionSuite.GridView },
    new Script { ExtensionSuite = ExtensionSuite.PivotGrid },
    new Script { ExtensionSuite = ExtensionSuite.Editors },
    new Script { ExtensionSuite = ExtensionSuite.Chart },
    new Script { ExtensionSuite = ExtensionSuite.Report },
    new Script { ExtensionSuite = ExtensionSuite.Scheduler },
    new Script { ExtensionSuite = ExtensionSuite.TreeList },
    new Script { ExtensionSuite = ExtensionSuite.Spreadsheet }
)
        @*<script src="~/Scripts/equal-height.js"></script>
    <script src="~/Scripts/npm.js"></script>*@

    <script>

        function OnSuccess(data, gvName) {
            //alert(data);
            //pcModalMode.Hide();

            var gridInstance = ASPxClientControl.GetControlCollection().GetByName(gvName);
            //gridInstance.PerformCallback("refresh");
            gridInstance.Refresh();
        }


    </script>


</head>
<body>
    <header>

        @Html.Partial("HeaderMenu")
     
        <div class="toggle2">Profile</div>
    </header>
    <!-- End header -->
    <!-- Start Sidebar -->
    <div class="sidebar">
        <ul>
            <li><a href="/Home/index"><img src="/Content/themes/base/images/side-bar-logo.png" alt="" /></a></li>
            <li><a href="/home/index"><i class="fa fa-home"></i></a></li>
            <li class="active"><a href="#"> <i class="fa fa-cog"></i></a> </li>
            <li><a href="#" class="user"><i class="fa fa-user"></i></a>
                <ul class="user_profile">
                    @*<li><a href="#">Profile </a></li>*@
                    <li> @Html.Partial("_LoginPartial")</li>
                    @*<li><a href="#">Sign Out</a></li>*@
                </ul>
            </li>
        </ul>
    </div>
    <!-- End Sidebar -->

    <section class="main">
        <!-- Start Second Menu -->
        @*<div class="second-menu">
           @Html.Partial("Sub_menu")
        </div>*@



        <!-- End Second Menu -->
        <!-- Start Examples -->
        <div class="examples">

            @RenderBody()
            @*<div id="testDivNested">
                <div class="gray_bg">
                    <div class="ensure"><i class="fa fa-exclamation-circle"></i> Please ensure you fill out the required fields*</div>
                    <!-- Start White Inner -->
                    <div class="white_inner">
                        <!-- Start Client Verfied -->   
                        <div class="client_verfied">
                            <div class="top_name">
                                <ul>
                                    <li>Client Name</li>
                                    <li><a href="#">Verified</a></li>
                                </ul>
                            </div>
                            <div id="testDiv1">
                                <div class="inner">
                                    <div class="row_client">
                                        <span class="black">Australian National </span>
                                        <span class="verified"><a href="#"><i class="fa fa-long-arrow-left"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Melbourne University</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Sunchine Bank</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Australian National University</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Maquarie Bank</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Sunchine Bank</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Australian National University</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Maquarie Bank</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Sunchine Bank</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Australian National University</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Maquarie Bank</span>
                                        <span class="verified"><a href="#"><i class="fa fa-check"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <div class="row_client">
                                        <span class="black">Bank of Queensland</span>
                                        <span class="verified"><a href="#"><i class="fa fa-long-arrow-right"></i></a></span>
                                        <span class="edit"><a href="#">Edit</a></span>
                                        <span class="delete"><a href="#">Delete</a></span>
                                    </div>
                                    <a href="#" class="add_new">Add New Client</a>
                                </div>
                            </div>
                        </div>
                        <!-- End Client Verfied -->
                        <!-- Start Client Details -->
                        <div class="client_details">
                            <div class="top_name">
                                <ul>
                                    <li>[Client] Details</li>
                                </ul>
                            </div>
                            <div id="testDiv">
                                <div class="inner">
                                    <div class="row_detail"><a href="#"> [<u>Organisation</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Number of employees</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Street Address</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>City, State, Postcode</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Client Admin</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                    <div class="row_detail"><a href="#"> [<u>Geo-location</u>] </a></div>
                                </div>
                            </div>
                        </div>
                        <!-- End Client Details -->
                    </div>
                    <!-- End White Inner -->
                    <!-- Start Bottom Details -->
                    <div class="bottom">
                        <div class="left">
                            <label class="name">Organisation</label>
                            <input type="text" name="name" value="" placeholder="Canberra University" />
                            <div class="clearfix"></div>
                            <label class="name">Client Administrator email address</label>
                            <input type="text" name="name" value="" placeholder="shane@MU.com.au" />
                        </div>
                        <div class="right">
                            <label class="name">Number of employees</label>
                            <input class="red" type="text" name="name" value="" placeholder="" />
                            <div class="clearfix"></div>
                            <input class="save button" name="button" type="button" value="Save Changes" />
                            <input class="done button" name="button" type="button" value="Done" />
                        </div>
                    </div>
                    <!-- End Bottom Details -->
                </div>
            </div>*@
        </div>
        <!-- End Examples -->
    </section>

</body>
@*<script src="~/Scripts/jquery-2.1.4.js"></script>*@

@*<script type="text/javascript" src="~/scripts/jquery-2.2.2.js"></script>*@
<!-- <script type="text/javascript" src="common/js/bootstrap.min.js"></script> -->
<script type="text/javascript" src="~/scripts/custom.js"></script>
<script type="text/javascript" src="~/scripts/browser_and_os_classes.js"></script>
<script type="text/javascript" src="~/scripts/jquery.slimscroll.min.js"></script>

<script type="text/javascript">
    $(function () {
        $('#testDiv').slimscroll({
            height: '430px'
        });
        $('#testDiv1').slimscroll({
            height: '330px'
        });

        $('#gvSettingsClients .dxgvCSD').slimscroll({
            height: '258px'
        });

        $('.client-admin-login .dxgvCSD').slimscroll({
            height: '258px'
        });



        //$('#testDivNested').slimscroll({
        //    height: '490px'
        //}).parent().css({
        //    'float': 'left'
        //});

    });
    var abp = abp || {};
    abp.appPath = '@ApplicationPath';

</script>

@RenderSection("scripts", required: false)
</html>





@*<!DOCTYPE html>
<html lang="en">
<head>
    <!-- Standard meta tags -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- favicon -->
    <link rel="shortcut icon" href="~/favicon.ico">

    <!-- Site title -->
    <title>APositive - Energy Mission</title>

    <!-- Style for jQueryUI -->
    <link href="~/Content/themes/base/base.css" rel="stylesheet" />

    <!-- Style for Bootstrap -->
    <link href="~/Content/bootstrap-readable.min.css" rel="stylesheet">

    <!-- Styles for jQuery plug-ins -->
    <link href="~/Content/toastr.min.css" rel="stylesheet" />

    <script type="text/javascript">
        //This is used to get the application's root path from javascript. It's useful if you're running application in a virtual directory under IIS.
        var abp = abp || {};
        abp.appPath = '@ApplicationPath';
    </script>

    <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
        <script src="@Url.Content("~/Scripts/others/html5shiv.js")"></script>
        <script src="@Url.Content("~/Scripts/others/respond.min.js")"></script>
    <![endif]-->
    @RenderSection("styles", required: false)

    <!-- Windows Phone 8 and Internet Explorer 10 FIX -->
    <script src="~/Abp/Framework/scripts/utils/ie10fix.js"></script>

    <!-- Modernizr: for feature detection (All other scripts are included at the end of file for faster page load) -->
    <script src="~/Scripts/modernizr-2.8.3.js"></script>

    <!-- jQuery and plugins -->
    <script src="~/Scripts/json2.min.js"></script>
    <script src="~/Scripts/jquery-2.1.4.min.js"></script>
    <script src="~/Scripts/jquery.unobtrusive-ajax.min.js"></script>
    <script src="~/Scripts/jquery-ui-1.11.4.min.js"></script>
    <script src="~/Scripts/jquery.blockUI.js"></script>
    <script src="~/Scripts/toastr.min.js"></script>
    <script src="~/Scripts/others/spinjs/spin.js"></script>
    <script src="~/Scripts/others/spinjs/jquery.spin.js"></script>

    <!-- Twitter Bootstrap -->
    <script src="~/Scripts/bootstrap.min.js"></script>

    <!-- Common styles for this application/platform -->
    <link href="~/App/Common/styles/platform.css" rel="stylesheet" />

    <!-- Abp framework scripts -->
    <script src="~/Abp/Framework/scripts/abp.js"></script>
    <script src="~/Abp/Framework/scripts/libs/abp.jquery.js"></script>
    <script src="~/Abp/Framework/scripts/libs/abp.toastr.js"></script>
    <script src="~/Abp/Framework/scripts/libs/abp.blockUI.js"></script>
    <script src="~/Abp/Framework/scripts/libs/abp.spin.js"></script>

    <!-- Dynamic script for client side localization (It's created on runtime) -->
    <script src="/AbpScripts/GetScripts" type="text/javascript"></script>

    <!--  Generate the WebAPI proxies for exposed application services   -->
    <script src="/api/AbpServiceProxies/GetAll" type="text/javascript"></script>

    <!-- Common script for the application/platform -->
    <script src="~/App/Common/scripts/platform.js" type="text/javascript"></script>
    <script src="~/App/Common/scripts/TwitterBootstrapMvcJs-3.0.4.js" type="text/javascript"></script>

    <!-- External Third Party Scripts -->
    <!-- Select 2 -->
    <link href="//cdnjs.cloudflare.com/ajax/libs/select2/3.5.0/select2-bootstrap.min.css" rel="stylesheet" />
    <link href="//cdnjs.cloudflare.com/ajax/libs/select2/3.5.0/select2.min.css " rel="stylesheet" />
    <script src="//cdnjs.cloudflare.com/ajax/libs/select2/3.5.0/select2.min.js" type="text/javascript"></script>


    @Html.DevExpress().GetStyleSheets(
    new StyleSheet { ExtensionSuite = ExtensionSuite.NavigationAndLayout },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Editors },
    new StyleSheet { ExtensionSuite = ExtensionSuite.HtmlEditor },
    new StyleSheet { ExtensionSuite = ExtensionSuite.GridView },
    new StyleSheet { ExtensionSuite = ExtensionSuite.PivotGrid },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Chart },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Report },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Scheduler },
    new StyleSheet { ExtensionSuite = ExtensionSuite.TreeList },
    new StyleSheet { ExtensionSuite = ExtensionSuite.Spreadsheet }
)
    @Html.DevExpress().GetScripts(
    new Script { ExtensionSuite = ExtensionSuite.NavigationAndLayout },
    new Script { ExtensionSuite = ExtensionSuite.HtmlEditor },
    new Script { ExtensionSuite = ExtensionSuite.GridView },
    new Script { ExtensionSuite = ExtensionSuite.PivotGrid },
    new Script { ExtensionSuite = ExtensionSuite.Editors },
    new Script { ExtensionSuite = ExtensionSuite.Chart },
    new Script { ExtensionSuite = ExtensionSuite.Report },
    new Script { ExtensionSuite = ExtensionSuite.Scheduler },
    new Script { ExtensionSuite = ExtensionSuite.TreeList },
    new Script { ExtensionSuite = ExtensionSuite.Spreadsheet }
)
</head>
<body>
    @{
        //Navigation sections
        string navigationFooterHtml = string.Empty;
        navigationFooterHtml = IsSectionDefined("NavigationFooter") ? RenderSection("NavigationFooter")
            .ToHtmlString() : @Html.Partial("_NavigationFooter")
                                   .ToHtmlString();

        string navigationLeftHtml = string.Empty;
        navigationLeftHtml = IsSectionDefined("NavigationLeft") ? RenderSection("NavigationLeft")
            .ToHtmlString() : "<strong>Navigation Left Needs To Be Configured</strong>";

        string navigationRightHtml = string.Empty;
        navigationRightHtml = IsSectionDefined("NavigationRight") ? RenderSection("NavigationRight")
            .ToHtmlString() : @Html.Partial("_RightNavDefault")
                                   .ToHtmlString();

        string navigationTopHtml = string.Empty;
        navigationTopHtml = IsSectionDefined("NavigationTop") ? RenderSection("NavigationTop")
            .ToHtmlString() : @Html.Partial("_TopNavDefault")
                                   .ToHtmlString();
    }
  

    @Html.DevExpress().Splitter(
            settings =>
            {
                settings.Name = "splFullScreenMode";
                settings.Orientation = Orientation.Vertical;
                settings.FullscreenMode = true;
                settings.ControlStyle.BorderWidth = Unit.Pixel(0);

                settings.Panes.Add(pane =>
                {
                    pane.Panes.Add(navigationPaneLeft =>
                    {
                        navigationPaneLeft.PaneStyle.Border.BorderStyle = BorderStyle.None;
                        navigationPaneLeft.Size = 100;
                        navigationPaneLeft.ShowCollapseBackwardButton = DefaultBoolean.True;
                        navigationPaneLeft.PaneStyle.BackColor = Color.FromArgb(0xF4F4F4);
                        navigationPaneLeft.SetContent(() => ViewContext.Writer.Write(navigationLeftHtml));
                    });
                    pane.Panes.Add(contentPane =>
                    {
                        contentPane.Panes.Add(paneHeader =>
                        {
                            paneHeader.PaneStyle.Border.BorderStyle = BorderStyle.None;
                            paneHeader.PaneStyle.Paddings.Padding = Unit.Pixel(0);
                            paneHeader.PaneStyle.Paddings.PaddingLeft = Unit.Pixel(15);
                            paneHeader.Size = 77;
                            paneHeader.PaneStyle.BackColor = Color.FromArgb(0x7cdda6);
                            paneHeader.PaneStyle.ForeColor = Color.White;
                            paneHeader.SetContent(() =>
                            {
                                ViewContext.Writer.Write(navigationTopHtml);
                            });
                        });


                        contentPane.Panes.Add(mainContentPane =>
                        {

                            string statusMessages = string.Empty;
                            if (ViewData["StatusMessageError"] != null)
                            {
                                statusMessages = "<div class=\"alert alert-danger\">" + ViewData["StatusMessageError"] + "</div>";
                            }

                            if (ViewData["StatusMessageSuccess"] != null)
                            {
                                statusMessages += "<div class=\"alert alert-success\">" + ViewData["StatusMessageSuccess"] + "</div>";
                            }

                            mainContentPane.PaneStyle.BackColor = Color.FromArgb(0xF4F4F4);
                            mainContentPane.PaneStyle.Border.BorderStyle = BorderStyle.None;
                            mainContentPane.ScrollBars = ScrollBars.Auto;
                            mainContentPane.SetContent(() => ViewContext.Writer.Write(
                                "<div class=\"page-container\">" +
                                "   <h3 class=\"page-header branding-green\">" + ViewBag.PageTitle + "</h3>" +
                                "     <hr />" +
                                statusMessages +
                                "     <div class=\"content-wrapper\">" +
                                RenderBody() +
                                "     </div>" +
                                "</div>"
                                ));
                            mainContentPane.Separator.Visible = DefaultBoolean.False;
                            mainContentPane.Separator.SeparatorStyle.Border.BorderStyle = BorderStyle.None;

                        });

                        //contentPane.Separator.SeparatorStyle.BackColor = Color.FromArgb(0xE2E2E2);
                        //contentPane.Panes.Add(footerPane =>
                        //{
                        //    footerPane.Size = 1;
                        //    footerPane.PaneStyle.BackColor = Color.FromArgb(0xB6B6B7);
                        //    footerPane.SetContent(() => ViewContext.Writer.Write(navigationFooterHtml));
                        //    footerPane.PaneStyle.Border.BorderStyle = BorderStyle.None;
                        //    footerPane.Separator.Visible = DefaultBoolean.False;
                        //});
                    });
                    pane.Panes.Add(navigationPaneRight =>
                    {
                        navigationPaneRight.PaneStyle.Border.BorderStyle = BorderStyle.None;
                        navigationPaneRight.Separator.SeparatorStyle.BackColor = Color.FromArgb(0xE2E2E2);
                        navigationPaneRight.ShowCollapseForwardButton = DefaultBoolean.True;
                        navigationPaneRight.Size = 100;
                        navigationPaneRight.PaneStyle.BackColor = Color.FromArgb(0xF4F4F4);
                        navigationPaneRight.SetContent(() =>
                        {
                            ViewContext.Writer.Write(navigationRightHtml);
                        });
                    });

                });
            }).GetHtml()

    <!-- Custom scripts for views -->



    <script type="text/javascript">
        //Initialise the platform
        Platform.Init();
    </script>
</body>
</html>*@